package com.huimv.env.manage.controller;


import cn.hutool.core.date.DateUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.env.common.entity.LampTemp;
import com.huimv.env.common.mapper.LampTempMapper;
import com.huimv.env.manage.utils.Result;
import com.huimv.env.manage.utils.ResultUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-10-27
 */
@RestController
@RequestMapping("/lampTemp")
public class LampTempController {
    @Autowired
    private LampTempMapper lampTempMapper;

    @PostMapping("/getList")
    public Result getList(@RequestBody Map<String,String> paramMap){
        String lampId = paramMap.get("lampId");
        List<LampTemp> deviceId = lampTempMapper.selectList(new QueryWrapper<LampTemp>().eq("device_id", lampId).ge("add_time", DateUtil.beginOfDay(new Date())).orderByDesc("add_time"));

        return ResultUtil.isNull(deviceId);
    }
}

