package com.huimv.env.manage.saas.controller;


import cn.hutool.core.util.ObjectUtil;
import com.huimv.env.manage.saas.dao.entity.BaseDeviceCofig;
import com.huimv.env.manage.saas.service.IBaseDeviceCofigService;
import com.huimv.env.manage.utils.Result;
import com.huimv.env.manage.utils.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2022-10-18
 */
@RestController
@RequestMapping("/baseDeviceCofig")
public class BaseDeviceCofigController {
    @Autowired
    private IBaseDeviceCofigService baseDeviceCofigService;

    @PostMapping("/listBaseDeviceCofig")
    public Result listBaseDeviceCofig(@RequestBody Map<String, String> map, HttpServletRequest request){
        List<BaseDeviceCofig> list = baseDeviceCofigService.list(null);
        if (ObjectUtil.isNotEmpty(list)) {
            return new Result(ResultCode.SUCCESS, list);
        }else {
            return new Result(10001,"没有数据", false);
        }
    }

    @PostMapping("/listAllDataByUnitId")
    public Result listAllDataByUnitId(@RequestBody Map<String, String> map, HttpServletRequest request){
      return baseDeviceCofigService.listAllDataByUnitId(map,request);
    }



}
