package com.huimv.env.manage.saas.dao.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 环控绑定设备
 * </p>
 *
 * @author author
 * @since 2022-10-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("env_device_equipment")
public class EnvDeviceEquipment implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String equipmentName;

    private Integer unitId;

    /**
     * 0关闭 1开启 实际运行状态
     */
    private Integer openStart;

    private Integer equipmentPort;

    private String deviceCode;

    /**
     * 0关闭 1开启 设置状态
     */
    private Integer uploadStart;

   private Integer   binding;
   private String   deviceAlias;


}
