package com.huimv.env.manage.service;

import com.huimv.env.manage.entity.EnvDeviceRegister;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.env.manage.utils.Result;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2022-08-18
 */
public interface IEnvDeviceRegisterService extends IService<EnvDeviceRegister> {

    Result registerList(Map<String, String> paramMap);

    Result saveRegister(Map<String, String> paramMap);

    Result listByUnit(Map<String, String> map, HttpServletRequest request);

    Result unbindingBaseDeviceCofig(Map<String, String> map, HttpServletRequest request);

    Result lsitAllDeivce(Map<String, String> map, HttpServletRequest request);

    Result bindingBaseDeviceCofig(Map<String, String> map, HttpServletRequest request);

    Result updateAllByUnitId(Map<String, Integer> paramMap);

    Result screenDeviceCofig(Map<String, String> map, HttpServletRequest request);
}
