package com.huimv.env.produce;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.ComponentScans;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @Project : huimv-env-platform
 * @Package : ${}
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2022/10/30
 **/
@SpringBootApplication
//@EnableScheduling
@ComponentScans({@ComponentScan("com.huimv.env.common.service"),@ComponentScan("com.huimv.env.common.utils")})
@MapperScan("com.huimv.env.*.mapper")
//@MapperScan("com.huimv.env.manage.mapper")
@EntityScan(value = "com.huimv.env.common.dao.entity")
@EnableJpaRepositories(basePackages = "com.huimv.env.common.dao.repo")
public class HuimvEnvProduceApplication {
    public static void main(String[] args)   {
        SpringApplication.run(HuimvEnvProduceApplication.class, args);
    }
}
