package com.huimv.env.produce.controller;


import com.huimv.common.utils.Result;
import com.huimv.env.produce.service.CostService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-10-30
 */
@RestController
@RequestMapping("/v1.0.0/cost")
public class CostController {
    @Autowired
    private CostService costService;

    @PostMapping("/getCostInYearAndMonth")
    public Result getCostInYearAndMonth(@RequestBody Map<String, String> paramsMap) throws ParseException {
        return costService.getCostInYearAndMonth(paramsMap);
    }

    @PostMapping("/save")
    public Result save(@RequestBody Map<String, String> paramsMap) throws ParseException {
        return costService.save(paramsMap);
    }

    @PostMapping("/list")
    public Result list(@RequestBody Map<String, String> paramsMap) throws ParseException {
        return costService.getCostInYearAndMonth(paramsMap);
    }
}

