package com.huimv.env.produce.service;

import com.huimv.common.utils.Result;
import com.huimv.env.produce.entity.FeedDay;
import com.baomidou.mybatisplus.extension.service.IService;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-11-03
 */
public interface FeedDayService extends IService<FeedDay> {

    Result getFeedCount(Map<String, String> paramsMap) throws ParseException;

    Result newFeedCount(List<FeedDay> list);

    Result removeFeedCount(Map<String,String> paramSMap);

    Result newDayFeed(Map<String, String> paramsMap);

    Result listDayFeed(Map<String, String> paramsMap);
}
