package com.huimv.env.produce.service;

import com.huimv.common.utils.Result;
import com.huimv.env.produce.entity.FeedDay;
import com.huimv.env.produce.entity.FeedMonth;
import com.baomidou.mybatisplus.extension.service.IService;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-11-03
 */
public interface FeedMonthService extends IService<FeedMonth> {

    Result newFeedMonthCount(List<FeedMonth> list);

    Result removeMonthCount(Map<String,String> paramsMap);

    Result newMonthFeed(Map<String, String> paramsMap);

    Result listMonthFeed(Map<String, String> paramsMap);
}
