package com.huimv.env.produce.service;

import com.huimv.common.utils.Result;
import com.huimv.env.produce.entity.SalesDetail;
import com.baomidou.mybatisplus.extension.service.IService;

import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-11-01
 */
public interface SalesDetailService extends IService<SalesDetail> {

    Result getSales(Map<String, String> paramsMap);

    Result save(Map<String, String> paramsMap) throws ParseException;

    Result remove(Map<String, String> paramsMap);

    Result save2(Map<String, String> paramsMap);

    Result getLocalSales(Map<String, String> paramsMap);

    Result getLocalSaleHistory(Map<String, String> paramsMap);
}
