package com.huimv.env.common.service;

import com.alibaba.fastjson.JSONObject;
import com.huimv.common.utils.Result;
import com.huimv.env.common.dao.entity.EnvDeviceRegisterEntity;
import com.huimv.env.common.entity.EnvWaterDay;
import com.baomidou.mybatisplus.extension.service.IService;
import java.sql.Date;
import java.sql.Timestamp;
import java.text.ParseException;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-10-20
 */
public interface EnvWaterDayService extends IService<EnvWaterDay> {
//    EnvWaterDay getDayElectricityConsumption(String farmCode, String deviceCode, String sensorSn, Date todayDate);

    void saveDayWater(JSONObject dataJo, EnvDeviceRegisterEntity envDeviceRegisterEntity, Timestamp nowTimestamp, Date todayDate, String farmCode);

    void updateDayWater(float sumWaterMeter, EnvWaterDay envWaterDay, JSONObject dataJo, EnvDeviceRegisterEntity envDeviceRegisterEntity, Timestamp nowTimestamp, Date todayDate, String farmCode);

    EnvWaterDay getDayWaterConsumption(String farmCode, String deviceCode, String sensorSn, Date todayDate);

    Result getTodayWater(Map<String, String> paramsMap) throws ParseException;

    Result getWaterCount(Map<String, String> paramsMap) throws ParseException;

    float getSumWaterMeter(String farmCode, String deviceCode, Date date, Date date1);

//    void saveDayElectricity(JSONObject dataJo, EnvDeviceRegisterEntity envDeviceRegisterEntity, Timestamp nowTimestamp, Date todayDate, String farmCode);

//    void updateDayElectricity(EnvElectricityDay envElectricityDay, JSONObject dataJo, EnvDeviceRegisterEntity envDeviceRegisterEntity, Timestamp nowTimestamp, Date todayDate, String farmCode);
}
