package com.huimv.env.manage.controller;


import com.huimv.env.manage.service.IEnvHumiService;
import com.huimv.env.manage.service.IEnvTempService;
import com.huimv.env.manage.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2022-08-18
 */
@RestController
@CrossOrigin
@RequestMapping("/envTemp")
public class EnvTempController {
    @Autowired
    private IEnvTempService envTempService;
    @Autowired
    private IEnvHumiService envHumiService;

    @PostMapping("/getTempAndHumi")
    public Result getTempAndHumi(@RequestBody Map<String,String> paramMap){
        return  envTempService.getTempAndHumi(paramMap);
    }

    @PostMapping("/getDayTempAndHumi")
    public Result getDayTempAndHumi(@RequestBody Map<String,String> paramMap) throws ParseException {
        return  envTempService.getDayTempAndHumi(paramMap);
    }
    @PostMapping("/getDayTempAndHumiMinute")
    public Result getDayTempAndHumiMinute(@RequestBody Map<String,String> paramMap) throws ParseException {
        return  envTempService.getDayTempAndHumiMinute(paramMap);
    }
}
