package com.huimv.env.manage.saas.mqtt.uplod;

import com.huimv.env.manage.entity.EnvDeviceRegister;
import com.huimv.env.manage.service.IEnvDeviceRegisterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.List;

@Component
public class UploadMqttStart {

    @Autowired
    private IEnvDeviceRegisterService deviceRegisterService;

    @PostConstruct
    public  void  test() {
        List<EnvDeviceRegister> list = deviceRegisterService.list();
        for (EnvDeviceRegister deviceRegister : list) {
            String chipId = deviceRegister.getChipId();
            UploadMqtt uploadmqtt = new UploadMqtt();
            uploadmqtt.setClientid("pub_" + chipId);
            uploadmqtt.setTopic("huimv_up_" + chipId);
            uploadmqtt.start();
        }
    }

}
