package com.huimv.env.produce.controller;


import com.huimv.common.utils.Result;
import com.huimv.env.produce.service.EliminateDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-11-01
 */
@RestController
@RequestMapping("/v1.0.0/eliminate")
public class EliminateDetailController {
    @Autowired
    private EliminateDetailService eliminateDetailService;

    //查询
    @PostMapping("/getEliminate")
    public Result getEliminateCount(@RequestBody Map<String, String> paramsMap) throws ParseException {
        return eliminateDetailService.getEliminateCount(paramsMap);
    }

    //新增
    @PostMapping("/save")
    public Result save(@RequestBody Map<String, String> paramsMap) throws ParseException {
        return eliminateDetailService.save(paramsMap);
    }

    //删除
    @PostMapping("/remove")
    public Result remove(@RequestBody Map<String, String> paramsMap) throws ParseException {
        return eliminateDetailService.remove(paramsMap);
    }
}

