package com.huimv.env.produce.controller;


import com.huimv.common.utils.Result;
import com.huimv.env.produce.entity.FeedMonth;
import com.huimv.env.produce.service.FeedMonthService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-11-03
 */
@RestController
@RequestMapping("/v1.0.0/feedMonth")
public class FeedMonthController {
    @Autowired
    private FeedMonthService feedMonthService;

    //添加
    @PostMapping("/new")
    public Result newMonthFeed(@RequestBody Map<String, String> paramsMap) {
        //
        return feedMonthService.newMonthFeed(paramsMap);
    }

    //添加
    @PostMapping("/newMonthFeed_old")
    public Result newFeedMonthCount(@RequestBody List<FeedMonth> list) {
        //
        return feedMonthService.newFeedMonthCount(list);
    }

    //删除
    @PostMapping("/remove")
    public Result removeMonthCount(@RequestBody Map<String,String> paramsMap) {
        //
        return feedMonthService.removeMonthCount(paramsMap);
    }

    //删除
    @PostMapping("/list")
    public Result listMonthFeed(@RequestBody Map<String,String> paramsMap) {
        //
        return feedMonthService.listMonthFeed(paramsMap);
    }
}

