package com.huimv.env.produce.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author zn
 * @since 2022-10-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class Indicator implements Serializable {

    private static final long serialVersionUID=1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private BigDecimal roomSurvRate;

    private BigDecimal conservSurvRate;

    private BigDecimal fatSurvRate;

    private BigDecimal dismatchRate;

    private BigDecimal matingRate;

    private BigDecimal psy;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date addDate;

    private String addPeople;

    private String farmCode;

    private Integer year;

    private Integer month;

}
