package com.huimv.env.produce.service;

import com.huimv.common.utils.Result;
import com.huimv.env.produce.entity.StockDetail;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-11-01
 */
public interface StockDetailService extends IService<StockDetail> {

    Result getStock(Map<String, String> paramsMap);

    Result save(Map<String, String> paramsMap);

    Result remove(Map<String, String> paramsMap);

    Result getCurrentStock(Map<String, String> paramsMap);

    Result getLocalHistoryStock(Map<String, String> paramsMap);
}
